BufferingTermFreqIteratorWrapper (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.suggest
Class BufferingTermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper

All Implemented Interfaces:
  TermFreqIterator, org.apache.lucene.util.BytesRefIterator

Direct Known Subclasses:
  UnsortedTermFreqIteratorWrapper

    public class BufferingTermFreqIteratorWrapper

extends Object
implements TermFreqIterator

This wrapper buffers incoming elements.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary
`protected int` | `curPos`
`protected BytesRefList` | `entries`
`protected long[]` | `freqs`

Fields inherited from interface org.apache.lucene.util.BytesRefIterator
`EMPTY`

Constructor Summary
`BufferingTermFreqIteratorWrapper(TermFreqIterator source)`

Method Summary
`Comparator<org.apache.lucene.util.BytesRef>` | `getComparator()`
`org.apache.lucene.util.BytesRef` | `next()`
`long` | `weight()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entries

    protected BytesRefList entries

### curPos

    protected int curPos

### freqs

    protected long[] freqs

Constructor Detail

### BufferingTermFreqIteratorWrapper

    public BufferingTermFreqIteratorWrapper(TermFreqIterator source)
                                     throws IOException

Throws:
  `IOException`

Method Detail

### weight

    public long weight()

  Specified by:
    `weight` in interface `TermFreqIterator`

### next

    public org.apache.lucene.util.BytesRef next()
                                         throws IOException

  Specified by:
    `next` in interface `org.apache.lucene.util.BytesRefIterator`
  Throws:
    `IOException`

### getComparator

    public Comparator<org.apache.lucene.util.BytesRef> getComparator()

  Specified by:
    `getComparator` in interface `org.apache.lucene.util.BytesRefIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD